Bug 891331 - (CVE-2012-6076) CVE-2012-6076 inkscape: Reads .eps files from /tmp instead of current working directory
CVE-2012-6076 inkscape: Reads .eps files from /tmp instead of current working...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120304,reported=2...
: Security
Depends On: 891335 891336
Blocks: 888299
  Show dependency treegraph
 
Reported: 2013-01-02 11:05 EST by Jan Lieskovsky
Modified: 2015-07-31 02:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-02 11:05:38 EST
An untrusted directory search path vulnerability was found in the way Inkscape, a vector graphics editor, using the W3C standard Scalable Vector Graphics (SVG) file format, loaded EPS (Encapsulated PostScript) files. A local attacker could use this flaw to execute arbitrary PostScript code with the privileges of the user running the inkscape executable.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=654341
[2] https://bugs.launchpad.net/inkscape/+bug/911146
[3] http://www.openwall.com/lists/oss-security/2012/12/29/5
[4] http://www.openwall.com/lists/oss-security/2012/12/30/2
[5] https://bugzilla.novell.com/show_bug.cgi?id=796306

Relevant patch:
[6] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=47;filename=0005-Add-patch-to-fix-upstream-vulnerability-LP-911146.patch;att=5;bug=654341
[7] https://bugs.launchpad.net/inkscape/+bug/911146/comments/2 (but see also subsequent comments wrt to the patch regression)
Comment 1 Jan Lieskovsky 2013-01-02 11:10:45 EST
This issue affects the version of the inkscape package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the inkscape package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the inkscape package, as shipped with Fedora EPEL 5. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-01-02 11:11:46 EST
Created inkscape tracking bugs for this issue

Affects: fedora-all [bug 891335]
Affects: epel-5 [bug 891336]
Comment 3 Jan Lieskovsky 2013-01-02 11:13:31 EST
Statement:

This issue affects the version of inkscape as shipped with Red Hat Enterprise Linux 6. The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.
Comment 4 Gwyn Ciesla 2013-01-02 11:41:39 EST
My reading of 911146 is that 0.48.4 is not affected, which would cover all of Fedora.  I'll look at a patch for 0.46 for EL-5.

Note You need to log in before you can comment on or make changes to this bug.